Skip to main content
GET
/
payout_batches
/
{batch_id}
Retrieve a payout batch
curl --request GET \
  --url https://api.withacclaim.com/v1/payout_batches/{batch_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ba_r8PxTnQ5Dv",
  "status": "ReadyToProcess",
  "description": "<string>",
  "failure_code": "<string>",
  "failure_message": "<string>",
  "processed_at": "2023-11-07T05:31:56Z",
  "totals": {
    "count": 100,
    "amount": 2500000,
    "succeeded": 95,
    "failed": 5
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

batch_id
string
required

ID of the payout batch.

Response

The payout batch.

id
string
Example:

"ba_r8PxTnQ5Dv"

status
enum<string>
Available options:
ReadyToProcess,
Processing,
Succeeded,
Failed,
Canceled
description
string | null
failure_code
string | null
failure_message
string | null
processed_at
string<date-time> | null
totals
object
created_at
string<date-time>
updated_at
string<date-time>
Last modified on April 16, 2026